Bug 377741 - Calc and Impress Crash on startup
Calc and Impress Crash on startup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 08:33 EST by Marc Schwartz
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 08:51:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mapped stack (10.10 KB, text/plain)
2007-11-12 13:16 EST, Caolan McNamara
no flags Details
Bug Report Text (10.31 KB, text/plain)
2007-11-12 13:52 EST, Marc Schwartz
no flags Details
anaconda.log, anaconda.syslog and anaconda.xlog (23.12 KB, application/x-gzip)
2007-11-13 08:28 EST, Marc Schwartz
no flags Details

  None (edit)
Description Marc Schwartz 2007-11-12 08:33:51 EST
Description of problem:

Both Calc and Impress crash on startup reliably. I have not been able to do this
consistently with Writer.


Version-Release number of selected component (if applicable):

openoffice.org-core-2.3.0-6.6.fc8-i386


How reproducible:

Always


Steps to Reproduce:
1. Open Calc or Impress from the Applications menu, or click on a Calc or
Impress File

  
Actual results:

The application crashes after the splash screen comes up


Expected results:

Should fully startup and/or open the file selected.


Additional info:

This information is displayed in the "crash dialogue":

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules//drivers/nvidia_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-33-i386
(V)    kernel is: Linux 2.6.23.1-49.fc8 #1 SMP Thu Nov 8 21:41:26 EST 2007 i686
i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.6.fc8-i386
(VII)  accessibility is: false
(VIII) fedora release is: Fedora release 8 (Werewolf)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/home      35901820  22565664  12971412  64% /home
/dev/sda6              1019208     34436    932164   4% /tmp
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x061fd1a9: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x211a9
0x061fdc6e: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21c6e
0x00110420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x00110402: 0x00000000:  + 0x402 (__kernel_vsyscall + 0x2)
0x0050a690: 0x00154d7c: /lib/libc.so.6 + 0x29690 (gsignal + 0x50)
0x0050bf91: 0x00154d7c: /lib/libc.so.6 + 0x2af91 (abort + 0x101)
0x00b37ba0: 0x000e2f5c: /usr/lib/libstdc++.so.6 + 0xb6ba0
(__gnu_cxx::__verbose_terminate_handler() + 0x150)
0x00b35685: 0x000e2f5c: /usr/lib/libstdc++.so.6 + 0xb4685
0x00b356c2: 0x000e2f5c: /usr/lib/libstdc++.so.6 + 0xb46c2
0x00b357fa: 0x000e2f5c: /usr/lib/libstdc++.so.6 + 0xb47fa
0x04075624: 0x00a86f60: /usr/lib/openoffice.org/program/libsc680li.so + 0x36c624
0x0367c157: 0x00c60e50: /usr/lib/openoffice.org/program/libsvx680li.so + 0x5fb157
0x03678aed: 0x00c60e50: /usr/lib/openoffice.org/program/libsvx680li.so +
0x5f7aed
(SvxStyleToolBoxControl::initialize(com::sun::star::uno::Sequence<com::sun::star::uno::Any>
const&) + 0x67)
0x0212bc3e: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12bc3e
0x0212d4d5: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12d4d5
0x0212606b: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12606b
0x02123f16: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x123f16
0x020cf35d: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xcf35d
0x0209e7ea: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x9e7ea
0x020b167b: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xb167b
0x020a3829: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xa3829
0x07bb25ef: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0xfc5ef
0x07bb4ff6: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0xfeff6
0x07c7f681: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c9681
0x07c70aa9: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so +
0x1baaa9 (SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x809)
0x07b65d0d: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0xafd0d
0x07c53ca7: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x19dca7
0x02100dc9: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x100dc9
0x0210103a: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x10103a
0x02101718: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x101718
0x02043625: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x43625
0x07eb8815: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x39815
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x1157)
0x07eb07f0: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x317f0
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x172)
0x07e9e4c4: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x1f4c4
(desktop::Desktop::OpenDefault() + 0x2c0)
0x07ea7305: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x28305
(desktop::Desktop::OpenClients() + 0x12cf)
0x07ea7359: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x28359
(desktop::Desktop::OpenClients_Impl(void*) + 0x2f)
0x07ea7401: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x28401
(desktop::Desktop::LinkStubOpenClients_Impl(void*, void*) + 0x1d)
0x06441b93: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91b93
0x065d255e: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x22255e
0x00eb52c9: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x1f2c9
0x00edde6a: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x47e6a (SalDisplay::DispatchInternalEvent() + 0x78)
0x00e0c679: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x14679
0x00e0c6a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x146a8
0x04b85491: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x2b491
0x04b8705c: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x2d05c (g_main_context_dispatch
+ 0x17c)
0x04b8a49f: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x3049f
0x04b8aa05: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x30a05
(g_main_context_iteration + 0x65)
0x00e0c4a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x144a8
0x00ee40bd: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4e0bd (X11SalInstance::Yield(bool, bool) + 0x2f)
0x06449ddf: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x99ddf
(Application::Yield(bool) + 0x57)
0x06449e9d: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x99e9d
(Application::Execute() + 0x2b)
0x07ea37db: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x247db
(desktop::Desktop::Main() + 0x15fb)
0x0644e933: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9e933
0x0644ea49: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9ea49
(SVMain() + 0x2d)
0x07e9ce3e: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x1de3e
(main + 0xe2)
0x004f7390: 0x00154d7c: /lib/libc.so.6 + 0x16390 (__libc_start_main + 0xe0)
0x080484e1: 0x000006f8: /usr/lib/openoffice.org/program/scalc.bin + 0x4e1 (main
+ 0x59)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x004df000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00170000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x0020a000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00226000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00242000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0024c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0028d000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00310000)
	libdl.so.2 => /lib/libdl.so.2 (0x00314000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00319000)
	librt.so.1 => /lib/librt.so.1 (0x0031e000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00327000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00344000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00383000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x003c3000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x008e6000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0096f000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00d4f000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00e53000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00ebb000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00f59000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x0751d000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x07472000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x01006000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x0048d000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x07418000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x010b5000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x01287000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x04663000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0478c000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x05ee1000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x0629e000)
	libm.so.6 => /lib/libm.so.6 (0x0499c000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x045df000)
	libc.so.6 => /lib/libc.so.6 (0x070cc000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x004bb000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x04939000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x04a62000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x0457c000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x044b6000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x01383000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x0453a000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x0459d000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x04aa4000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x0565f000)
	libz.so.1 => /lib/libz.so.1 (0x046c6000)
	/lib/ld-linux.so.2 (0x004c2000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x03080000)
	libcap.so.1 => /lib/libcap.so.1 (0x02e02000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x02eb0000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x0309d000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x02e76000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x03a04000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x04ffe000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x033c9000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x0138c000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x0312e000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x02e3c000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x03355000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x004c0000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x02123000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x01e1c000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x021be000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb74a2000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x0430b000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x01e79000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2007-11-12 08:50:31 EST
Launches fine for me, can you reproduce this *without* the 3rd party nvidia driver ?
Comment 2 Marc Schwartz 2007-11-12 11:02:37 EST
Caolan,

Thanks for your follow up. Sorry for the delay, I was at home when I posted. Now
in the office and realized that I had to re-create a 'vanilla' xorg.conf as I
had not saved one. Then of course, I forgot how to do it...finally figured it out.

It is still crashing reliably for me, using the 'nv' driver and also now without
Compiz or TwinView running.

Here is the output now from the OO.org crash dialogue:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules//drivers/nv_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-33-i386
(V)    kernel is: Linux 2.6.23.1-49.fc8 #1 SMP Thu Nov 8 21:41:26 EST 2007 i686
i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.6.fc8-i386
(VII)  accessibility is: false
(VIII) fedora release is: Fedora release 8 (Werewolf)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/home      35901820  22564384  12972692  64% /home
/dev/sda6              1019208     34448    932152   4% /tmp
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x061fd1a9: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x211a9
0x061fdc6e: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21c6e
0x00110420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x00110402: 0x00000000:  + 0x402 (__kernel_vsyscall + 0x2)
0x0050a690: 0x00154d7c: /lib/libc.so.6 + 0x29690 (gsignal + 0x50)
0x0050bf91: 0x00154d7c: /lib/libc.so.6 + 0x2af91 (abort + 0x101)
0x00b37ba0: 0x000e2f5c: /usr/lib/libstdc++.so.6 + 0xb6ba0
(__gnu_cxx::__verbose_terminate_handler() + 0x150)
0x00b35685: 0x000e2f5c: /usr/lib/libstdc++.so.6 + 0xb4685
0x00b356c2: 0x000e2f5c: /usr/lib/libstdc++.so.6 + 0xb46c2
0x00b357fa: 0x000e2f5c: /usr/lib/libstdc++.so.6 + 0xb47fa
0x083bd624: 0x00a86f60: /usr/lib/openoffice.org/program/libsc680li.so + 0x36c624
0xb39ae157: 0x00c60e50: /usr/lib/openoffice.org/program/libsvx680li.so + 0x5fb157
0xb39aaaed: 0x00c60e50: /usr/lib/openoffice.org/program/libsvx680li.so +
0x5f7aed
(SvxStyleToolBoxControl::initialize(com::sun::star::uno::Sequence<com::sun::star::uno::Any>
const&) + 0x67)
0x0212bc3e: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12bc3e
0x0212d4d5: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12d4d5
0x0212606b: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12606b
0x02123f16: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x123f16
0x020cf35d: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xcf35d
0x0209e7ea: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x9e7ea
0x020b167b: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xb167b
0x020a3829: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xa3829
0x07bb25ef: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0xfc5ef
0x07bb4ff6: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0xfeff6
0x07c7f681: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c9681
0x07c70aa9: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so +
0x1baaa9 (SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x809)
0x07b65d0d: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0xafd0d
0x07c53ca7: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x19dca7
0x02100dc9: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x100dc9
0x0210103a: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x10103a
0x02101718: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x101718
0x02043625: 0x0027f21c: /usr/lib/openoffice.org/program/libfwk680li.so + 0x43625
0x07eb8815: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x39815
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x1157)
0x07eb07f0: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x317f0
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x172)
0x07eb0898: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x31898
(desktop::ProcessEventsClass_Impl::ProcessDocumentsEvent(desktop::ProcessEventsClass_Impl*,
void*) + 0x20)
0x06441b93: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91b93
0x065d255e: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x22255e
0x00e762c9: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x1f2c9
0x00e9ee6a: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x47e6a (SalDisplay::DispatchInternalEvent() + 0x78)
0x00e0c679: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x14679
0x00e0c6a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x146a8
0x04b85491: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x2b491
0x04b8705c: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x2d05c (g_main_context_dispatch
+ 0x17c)
0x04b8a49f: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x3049f
0x04b8aa05: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x30a05
(g_main_context_iteration + 0x65)
0x00e0c4c2: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x144c2
0x00ea50bd: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4e0bd (X11SalInstance::Yield(bool, bool) + 0x2f)
0x06449ddf: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x99ddf
(Application::Yield(bool) + 0x57)
0x06449e9d: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x99e9d
(Application::Execute() + 0x2b)
0x07ea37db: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x247db
(desktop::Desktop::Main() + 0x15fb)
0x0644e933: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9e933
0x0644ea49: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9ea49
(SVMain() + 0x2d)
0x07e9ce3e: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x1de3e
(main + 0xe2)
0x004f7390: 0x00154d7c: /lib/libc.so.6 + 0x16390 (__libc_start_main + 0xe0)
0x080484c1: 0x000006d8: /usr/lib/openoffice.org/program/soffice.bin + 0x4c1
(main + 0x59)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x004df000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00170000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x0020a000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00226000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00242000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0024c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0028d000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00310000)
	libdl.so.2 => /lib/libdl.so.2 (0x00314000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00319000)
	librt.so.1 => /lib/librt.so.1 (0x0031e000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00327000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00344000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00383000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x003c3000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x008e6000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0096f000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00d4f000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00e53000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00ebb000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00f59000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x01dbb000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x0170d000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x018d9000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x0048d000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x01389000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x02437000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x01bdb000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x012a3000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x012fd000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x0231c000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x01006000)
	libm.so.6 => /lib/libm.so.6 (0x010f1000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0111a000)
	libc.so.6 => /lib/libc.so.6 (0x01126000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x004bb000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x012b3000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x01316000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x0127f000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x01288000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x0128b000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x01294000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x012d9000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x01345000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x013b0000)
	libz.so.1 => /lib/libz.so.1 (0x012e3000)
	/lib/ld-linux.so.2 (0x004c2000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x0143c000)
	libcap.so.1 => /lib/libcap.so.1 (0x03664000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x0370c000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x038e8000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x036d4000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x041fc000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x05734000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x03bf8000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x01376000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x03974000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x0369c000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x03b88000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x004c0000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x03920000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x031b4000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x035ce000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb7501000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x05b67000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x0321d000)
...end sample ldd details ...


Let me know what else you need.

Comment 3 Caolan McNamara 2007-11-12 11:09:46 EST
dunno why you're seeing this and i'm not, whats your theme ?
Comment 4 Marc Schwartz 2007-11-12 11:20:41 EST
I am using the Nodoka engine, with a theme that I created:

http://gnome-look.org/content/show.php/Nodoka-Charcoal?content=67976

The above worked just fine on F7 though and other than having the animation
disabled on F8 by default, has been working fine.

Also, one more tidbit.

After replacing the vanilla xorg.conf with my usual nvidia xorg.conf, where I
have TwinView and Compiz-Fusion running, I went back into X. I just got an
e-mail from a colleague with an Excel file attached. Calc could open the
attachment without crashing. I tried it with other e-mails where I have Excel
attachments, and they open as well. However, if I start Calc from the Apps menu,
or click on an Excel file in a folder, Calc crashes right after displaying the
splash.

Go figure...
Comment 5 Marc Schwartz 2007-11-12 13:01:12 EST
Caolan, I changed my GTK theme to basic Clearlooks, including the icon set and
the crashes still occur, so I don't think that it is a GTK engine/theme issue.

Is it possible that there is something from the F7 OO.org personal configs that
is causing a problem?  The F8 install was clean, not an upgrade, but I restored
my /home files from a F7 backup after doing some re-partitioning.

I know there have been other issues with the move to F8, such as PulseAudio
config issues, which I had. I needed to recreate ~/.asoundrc based upon posts on
the Fedora Forum, so that it now works.
Comment 6 Caolan McNamara 2007-11-12 13:16:43 EST
Created attachment 255521 [details]
mapped stack
Comment 7 Caolan McNamara 2007-11-12 13:20:58 EST
The mapped stack claims a crash in getting the name of something to put in a
drop down style list in the UI, so perhaps there is something related to
customization going on here. So could you....

mv .openoffice.org2.0 .openoffice.org2.0.BACKUP

and try and launch calc after the move of the config dir and see does it "get
better", and if it does get better tar up that dir and attach it here, or send
it to me if there's some personal details in there (sort of unlikely). And
what's your locale, i.e. echo $LANG, just in case it's restricted to a
particular translation.
Comment 8 Marc Schwartz 2007-11-12 13:52:29 EST
Created attachment 255561 [details]
Bug Report Text
Comment 9 Marc Schwartz 2007-11-12 13:55:24 EST
Well, I got my hopes up, but no joy.  It still crashes after removing the old
config folders. Updated crash bug report attached.

Here is the locale info:

$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
Comment 10 Caolan McNamara 2007-11-12 16:05:48 EST
Hmm, I'm only trashing around here, normally with something as obvious as this
theres loads of people with the same problem. It sort of looks like a name
cannot be found and an exception for that being thrown, on my own startup I can
see that the internal names "Default", "Heading 1", etc are looked for to find
the display names, they should be in
/usr/lib/openoffice.org/program/resource/sc680en-US.res
So to follow this (vague) theory to the logical conclusion, can you do...

1. ls -asl /usr/lib/openoffice.org/program/resource/sc680en-US.res
2. md5sum /usr/lib/openoffice.org/program/resource/sc680en-US.res
mine is de72533d8ae9aaf719d36367347ac1f0

If your one is different (who knows, maybe I'll get lucky and it is) then attach
your sc680en-US.res here.
Comment 11 Marc Schwartz 2007-11-12 16:30:24 EST
Uggh...

$ ls -asl /usr/lib/openoffice.org/program/resource/sc680en-US.res
248 -rw-r--r-- 1 root root 243346 2007-10-24 04:55
/usr/lib/openoffice.org/program/resource/sc680en-US.res


$ md5sum /usr/lib/openoffice.org/program/resource/sc680en-US.res
de72533d8ae9aaf719d36367347ac1f0 
/usr/lib/openoffice.org/program/resource/sc680en-US.res


BTW, two more tidbits:

On my prior note regarding opening up Excel file attachments to e-mails, I can
open them, save them to disk, re-open in Calc without it crashing (not
consistently), but if I edit the file and then re-save it, then it crashes. 

If I attempt to open a .doc file e-mail attachment using Writer, I can now get
Writer to crash in a similar fashion consistently.

I am totally confuzzled...

Thank goodness for Abiword and Gnumeric. Both are working fine at present.

How about a total removal and re-install of OO.org?  It looks like I could do
this without significant dependency issues.

Are there any other packages that might be a cause for conflict? Something that
I have installed that you don't?
Comment 12 Marc Schwartz 2007-11-12 18:36:51 EST
Caolan,

Just got home and completely removed and re-installed OO.org.

So far...so good. No crashes, opening files without issue, opening attachments
without issue.

So it looks like, despite a good SHA1SUM on the ISO, a good media check on the
DVD and a clean install of F8, I somehow may have ended up with a corrupted
OO.org install. Makes me wonder what else might be problematic, that I have not
seen yet.

I suspect that this may be the only reasonable explanation for the inconsistent
behavior. Most likely something in the common core libs, given the issues with
more than one of the applications.

You might want to keep this bug open for a day or two just in case, but if I
don't find anything else, you can close it and call it a day.

I appreciate all of your help today and am sorry for driving both of us nuts...

Marc
Comment 13 Caolan McNamara 2007-11-13 02:57:08 EST
Most frustrating. I wonder if the anaconda.log still exists, if the upgrade was
done that way.
Comment 14 Marc Schwartz 2007-11-13 08:28:48 EST
Created attachment 256861 [details]
anaconda.log, anaconda.syslog and anaconda.xlog
Comment 15 Marc Schwartz 2007-11-13 08:32:34 EST
Caolan, I have attached a tar file that contains the three anaconda logs for
your review. This was done via anaconda.

If you note anything that you want me to investigate further, let me know.

Still no crashes this morning and in fact, OO.org loads notably faster than
under F7 (with the quickstarter loaded).
Comment 16 Caolan McNamara 2007-11-13 08:51:00 EST
screw it, nothing in there of any use to us. There's one possibility left that
prelink has an input into this, there's a crontab job it runs at 5am or
something to optimize binaries. But again I don't have the problem and my
prelink has taken place a number of times, unless your box crashed or was killed
that can't be it either.

Lets close and reopen if it happens again.

Note You need to log in before you can comment on or make changes to this bug.